#version 430 core

in layout(location = 0) vec3 position;
in layout(location = 2) vec2 texCoord_in;

uniform layout(location = 3) mat4 MVP;

out layout(location = 0) vec2 texCoord_out;

void main()
{
    texCoord_out = texCoord_in;
    gl_Position = MVP * vec4(position, 1.0f);
}
